Subject: [bug#43261] [PATCH 0/2] lint: Fix 'no-network' and add 'no-checkers' options

From: Efraim Flashner <[email-masked]>
Date: Tue, 8 Sep 2020 10:56:36 +0300

On Mon, Sep 07, 2020 at 08:02:29PM +0200, zimoun wrote:
> Dear,
> 
> The first patch fixes the unexpected behaviour of "guix lint":
> 
>   guix lint -c description -n
>            vs
>   guix lint -n -c description
> 
> Now, if '--no-network' and any checkers are provided using '--checkers' then
> the ones requiring Internet access are turned off.
> 

I was going to say I didn't like the '-n' flag but I see it's already
there, just not documented in the help message.

> 
> The second patch adds the '--no-checkers' option discussed some time ago.  I
> am not convinced by the 'option-checker' helper function.  What could be
> better?
> 
> Instead of '--no-checkers' maybe '--exclude-checkers' is a better name.
> 

how about '--skip'

> 
> Last, note that '--list-checkers' operates as a dry-run:
> 
> --8<---------------cut here---------------start------------->8---
> ./pre-inst-env guix lint -c description,formatting,synopsis -n -x description -l
> Available checkers:
> - formatting: Look for formatting issues in the source
> --8<---------------cut here---------------end--------------->8---
> 
> 
> All the best,
> simon
> 
> zimoun (2):
>   lint: Fix '--no-network' option.
>   lint: Add '--no-checkers' option.
> 
>  doc/guix.texi         |  9 +++++++
>  guix/scripts/lint.scm | 55 +++++++++++++++++++++++++++----------------
>  2 files changed, 44 insertions(+), 20 deletions(-)
> 
> 
> base-commit: 89e1e4481382d18033a9773b90c09345fa33d6cb
> -- 
> 2.28.0
> 
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted